SUSE SLES12 Security Update : libtcnative-1-0 (SUSE-SU-2016:2871-1)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote SUSE host is missing one or more security updates.

Description :

This update for libtcnative-1-0 fixes the following issues :

- Upgrade to libtcnative-1.1.34 (bugfix release)
(bsc#1004455) See
https://tomcat.apache.org/native-1.1-doc/miscellaneous/c
hangelog.html

- Unconditionally disable export Ciphers.

- Improve ephemeral key handling for DH and ECDH.
Parameter strength is by default derived from the
certificate key strength.

- APIs SSL.generateRSATempKey() and SSL.loadDSATempKey()
are no longer supported.

- Various bugfixes.

Note that Tenable Network Security has extracted the preceding
description block directly from the SUSE security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

See also :

https://bugzilla.suse.com/1004455
https://tomcat.apache.org/native-1.1-doc/miscellaneous/changelog.html
http://www.nessus.org/u?49edce26

Solution :

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Software Development Kit 12-SP2:zypper in -t
patch SUSE-SLE-SDK-12-SP2-2016-1680=1

SUSE Linux Enterprise Software Development Kit 12-SP1:zypper in -t
patch SUSE-SLE-SDK-12-SP1-2016-1680=1

SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:zypper in -t
patch SUSE-SLE-RPI-12-SP2-2016-1680=1

SUSE Linux Enterprise Server 12-SP2:zypper in -t patch
SUSE-SLE-SERVER-12-SP2-2016-1680=1

SUSE Linux Enterprise Server 12-SP1:zypper in -t patch
SUSE-SLE-SERVER-12-SP1-2016-1680=1

To bring your system up-to-date, use 'zypper patch'.

Risk factor :

High

Family: SuSE Local Security Checks

Nessus Plugin ID: 95281 ()

Bugtraq ID:

CVE ID:

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now